Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159623 - local variable used before set
Summary: local variable used before set
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libgnome
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-06 08:21 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-25 18:08:57 UTC


Attachments (Terms of Use)

Description David Binderman 2005-06-06 08:21:59 UTC
Description of problem:

I just tried to compile package libgnome-2.10.0-3 from Redhat
Fedora Core development tree with the most excellent Intel C compiler.

The compiler said

gnome-program.c(1936): remark #592: variable "args" is used before its value is
set

The source code is

    va_list args;

    g_return_val_if_fail (nparams >= 0, NULL);

    return gnome_program_init_common (type, app_id, app_version, module_info,
                                      argc, argv, NULL, args, nparams, params);


Clearly broken code. There is a missing call to va_start for local 
variable "args".


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ray Strode [halfline] 2006-07-25 18:08:57 UTC
This has been fixed for a while now I think.


Note You need to log in before you can comment on or make changes to this bug.